// Combined header file soley for dictionary generation via CMT
#include "HepMCVisual/HepMCVisualElements.h"
#include "HepMCVisual/HepMCVisualFilter.h"

/** @name Global conversion functions */
//@{
namespace HepMC {

  /// AtlasReflex does not provide support for functions at the moment.
  /// Therefore the Visualize functions need to be wrapped in a class
  class Visualizer {
    public:

      ///Convert a HepMC::GenParticle
      VisualParticle* Particle(GenParticle* inparticle)
        { return Visualize(inparticle); };
      
      ///Convert a HepMC::GenVertex
      VisualVertex* Vertex(GenVertex* invertex )
        { return Visualize(invertex); };

      ///Convert a HepMC::GenEvent
      VisualEvent* Event(GenEvent* inevent)
        { return Visualize(inevent); };
  };
}
//@}
