# AC_SEARCH_ROOT(actionIfFound, actionIfNotFound)
AC_DEFUN([AC_SEARCH_ROOT], [
if test x$with_root != xno; then
  AC_CHECK_PROG(ROOTCONFIG, [root-config], [root-config], [no])
  if test x$ROOTCONFIG != xno; then
    AC_MSG_NOTICE([Using root-config to get ROOT paths])
    echo $ROOTCONFIG	
    ROOTCPPFLAGS="`$ROOTCONFIG --cflags`"
    ROOTLIBS="`$ROOTCONFIG --libs`"
    ROOTLDFLAGS="`$ROOTCONFIG --ldflags`"
    AC_SUBST([ROOTCPPFLAGS])
    AC_SUBST([ROOTLIBS])
    AC_SUBST([ROOTLDFLAGS])
    AM_CONDITIONAL([WITH_ROOT], true)
    AM_CONDITIONAL([WITH_ROOTLIB], true)
    AM_CONDITIONAL([WITH_ROOTINC], true)
    echo ROOTCPPFLAGS=$ROOTCPPFLAGS	
    echo ROOTLIBS=$ROOTLIBS	
    echo ROOTLDFLAGS=$ROOTLDFLAGS	
    $1
  else
    AC_MSG_NOTICE([Trying to find ROOT manually])
    AC_CEDAR_LIBRARYANDHEADERS([ROOT], [], [$1], [$2])
  fi
else
  AC_MSG_NOTICE([Not using ROOT])
  AM_CONDITIONAL([WITH_ROOT], false)
  AM_CONDITIONAL([WITH_ROOTLIB], false)
  AM_CONDITIONAL([WITH_ROOTINC], false)
fi
])

# AC_TEST_ROOT(actionIfWorks, actionIfFails)
AC_DEFUN([AC_TEST_ROOT], [
oldLIBS="$LIBS"
oldLDFLAGS="$LDFLAGS"
oldCPPFLAGS="$CPPFLAGS"
LIBS="$LIBS $ROOTLIBS"
LDFLAGS="$LDFLAGS $ROOTLDFLAGS"
CPPFLAGS="$CPPFLAGS $ROOTCPPFLAGS"
#echo libs: $LIBS
#echo ldflags: $LDFLAGS
#echo cppflags: $CPPFLAGS

## Check ROOT
AC_MSG_CHECKING([that ROOT works])
AC_TRY_LINK([#include "TROOT.h"
#include "TH1F.h"
#include "TRandom.h"],
[using namespace ROOT; 
TH1* a = new TH1F("a", "Caption", 100, -10, 10); gRandom->SetSeed();
for (unsigned int i = 0; i < 10; ++i) { a->Fill(gRandom->Gaus(0.0, 2.0)); }],
[AC_MSG_RESULT(yes)
$1],
[AC_MSG_RESULT(no) 
LIBS="$oldLIBS"
LDFLAGS="$oldLDFLAGS"
CPPFLAGS="$oldCPPFLAGS"
$2])
])
